MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
agents
Agents
Attachments
Auth
Billing
bundler
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Bootstrap Agent DeploymentCreate DeploymentRemove Entry CredentialDelete DeploymentGenerate TokenGet DeploymentBind CredentialList Credential MetadataList DeploymentsRename DeploymentRevoke TokenUnbind CredentialUpdate Router ConfigUpdate Token AllowlistsWrite Credential
Discover
Fleet
Genesys
Insights
internal
Knowledge Base Website Sources
Knowledge Bases
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisation roles
Organisations
Providers
Reviews
Roadmap
SCIM
Simulation Tests
Suppression
Triggers
TTS
Users
Utils
Visitors
Voices
Webhooks
Workflows
API ReferenceDeployments

Bind Credential

PUT
/v1/deployments/{deployment_id}/credentials/{entry_id}/credential

Bind an existing credential (personal or org-shared) to this deployment entry.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

deployment_id*Deployment Id
Formatuuid
entry_id*Entry Id
Formatuuid

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/v1/deployments/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials/497f6eca-6276-4993-bfeb-53cbbbba6f08/credential" \  -H "Content-Type: application/json" \  -d '{    "credential_id": "13c40afa-2996-4a0c-b2e9-68fba9462242"  }'
Empty
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Get Deployment

Previous Page

List Credential Metadata

Next Page

credential_id*Credential Id
Formatuuid